Subject: Re: bug#77496: [PATCH] Add 'ns-app-badge' to set macOS / GNUstep icon badge

From: Ship Mints <[email-masked]>
Date: Thu, 3 Apr 2025 13:16:57 -0400

FYI, this is backward compatible to at least macOS 10.5 from 2007 so I
didn't wrap the function with a version check.  GNUstep has had support for
at least six years (the Emacs documentation says GNUstep is still "alpha"
anyway, right?).

On Thu, Apr 3, 2025 at 12:46 PM Ship Mints <[email-masked]> wrote:

> This function allows one to visually differentiate multiple running Emacs
> sessions by icon in the doc or application switcher using the icon badge.
> For example set the badge to the Emacs version, or add "test" to indicate
> an instance launched for testing.  It can also be used to indicate pending
> items for MUAs or whatever someone wants.  This very simple feature has
> been on my list for a while...
>
> -Stephane
>